太长时间没有更新kali?GPG错误 KEYEXPIRED 1425567400

太长时间没有更新KALILinux,结果导致GPG密钥超时
太长时间没有更新KALILinux,结果导致GPG密钥超时

好久没有更新kali了,今天趁着更新了虚拟机,便打开想要跟新一下这个系统,结果没想到遇到了如图的问题。

先是使用GUI来更新出现了404错误,然后使用apt-get则报错密钥过期。

好吧,无论如何,这不是deb冲突,也不是源无法解析,你需要做的是更新密钥。

使用下面的一条命令来将新的密钥添加进你的apt-keyring

这样再次更新软件列表就不会出现GPG错误了,也不会再出现404问题。

最近略忙,等回头忙过了再来修理吧……另外答案来自kali官方论坛

发表评论

电子邮件地址不会被公开。 必填项已用*标注

This site uses Akismet to reduce spam. Learn how your comment data is processed.